Skip to main content
Dataworld, authorized IT and AV reseller in Canada
Menu

Shop by Department

Language
Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey product photo
Allied Telesis

Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey

Allied Telesis AT-FS980M/52-10, Managed, L3, Fast Ethernet (10/100), Rack mounting, 1U, Wall mountable

Part NumberAT-FS980M/52-10
UPC0767035209005

MSRP

Price on Request

Available to Order
Quantity

Get your price from a Dataworld account manager.

View Your Quote Request

Overview

Allied Telesis AT-FS980M/52-10. Switch type: Managed, Switch layer: L3. Basic switching RJ-45 Ethernet ports type: Fast Ethernet (10/100), Basic switching RJ-45 Ethernet ports quantity: 48, Console port: RJ-45. Full duplex. MAC address table: 16000 entries, Switching capacity: 17.6 Gbit/s. Networking standards: IEEE 802.1x, IEEE 802.2, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3x, IEEE.... Wall mountable, Rack mounting, Form factor: 1U

Explore More

Specifications

Switch type
Managed
Switch layer
L3
Quality of Service (QoS) support
Yes
Web-based management
Yes
Traffic classification
Yes
ARP inspection
Yes
System event log
Yes
MIB support
RFC 1213, RFC 1212, RFC 1227, RFC 1239, RFC 2819, RFC 2863

Buying from Dataworld

  • A competitive CAD quote from a Dataworld account manager.
  • Montreal-based, serving Canadian businesses in English and French.

MSRP

Price on Request